Bug 139962 - The _Input Actions_ module in kontrolcenter crashes when selecting actions in the tree view box in a certain order
Summary: The _Input Actions_ module in kontrolcenter crashes when selecting actions in...
Status: RESOLVED FIXED
Alias: None
Product: khotkeys
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Lubos Lunak
URL:
Keywords:
: 89182 128172 130872 136679 (view as bug list)
Depends on:
Blocks:
 
Reported: 2007-01-12 12:24 UTC by Daniel Adolfsson
Modified: 2009-10-02 03:24 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
khotkeysrc file (20.79 KB, text/plain)
2008-06-13 04:55 UTC, K Robinson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Adolfsson 2007-01-12 12:24:16 UTC
Version:            (using KDE KDE 3.5.5)
Installed from:    SuSE RPMs
Compiler:          Came pre-compiled with OpenSuse 10.2 (x86_64) 
OS:                Linux

When using the Input Actions module (kcontrol->Regional_&_Accessibility->Input_Actions) the module crashes when selecting the last element in the third level down and then selecting something on a higher level. hmm how do i explain this properly.

Action
+ Examples
+ Konqueror Gestures
- Preset Actions
 | Browser (HomePage) <-- then for example this one (some on a higher level)
 - Calculator
 | |Activate KCalc
| |Run KCalc        <-- First select this element
 | Eject
 + Firefox
 | Launch mail
 ..

This always crashes the kontrolcenter for me, the same thing happens if you first select the last element in the Firefox group or any other on that 'level'. It does not crash the kontrolcenter if you do the same in the other two toplevel groups, just the Preset Actions (there is no difference if i create a new group  and put below "Preset Actions" or move the group, by changing its name, so its probably not the placement order that affects which groups elements that cause a crash )

--------------------------------------------------------------------
BACKTRACE:

System configuration startup check disabled.
System configuration startup check disabled.

(no debugging symbols found)
Using host libthread_db library "/lib64/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 47093341784192 (LWP 14503)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#5  0x00002ad4be871535 in raise () from /lib64/libc.so.6
#6  0x00002ad4be872990 in abort () from /lib64/libc.so.6
#7  0x00002ad4be8a86db in __libc_message () from /lib64/libc.so.6
#8  0x00002ad4be8ad8fe in malloc_printerr () from /lib64/libc.so.6
#9  0x00002ad4be8aef36 in free () from /lib64/libc.so.6
#10 0x00002ad4c0ce0304 in QGList::clear ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#11 0x00002ad4c700db3e in KHotKeys::Not_condition::~Not_condition ()
   from /opt/kde3/lib64/libkhotkeys_shared.so.1
#12 0x00002ad4c0ce0304 in QGList::clear ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#13 0x00002ad4c6d54ecb in KHotKeys::Condition_list_widget::qt_invoke ()
   from /opt/kde3/lib64/kde3/kcm_khotkeys.so
#14 0x00002ad4c0a6fa40 in QObject::activate_signal ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#15 0x00002ad4c0a707b3 in QObject::activate_signal ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#16 0x00002ad4c6d56d4b in KHotKeys::Tab_widget::show_pages ()
   from /opt/kde3/lib64/kde3/kcm_khotkeys.so
#17 0x00002ad4c6d56fd3 in KHotKeys::Tab_widget::set_action_type ()
   from /opt/kde3/lib64/kde3/kcm_khotkeys.so
#18 0x00002ad4c6d5778b in KHotKeys::Tab_widget::check_action_type ()
   from /opt/kde3/lib64/kde3/kcm_khotkeys.so
#19 0x00002ad4c6d577b6 in KHotKeys::Tab_widget::load_current_action ()
   from /opt/kde3/lib64/kde3/kcm_khotkeys.so
#20 0x00002ad4c6d5a335 in KHotKeys::Module::set_new_current_action ()
   from /opt/kde3/lib64/kde3/kcm_khotkeys.so
#21 0x00002ad4c6d5a8b0 in KHotKeys::Module::listview_current_action_changed ()
   from /opt/kde3/lib64/kde3/kcm_khotkeys.so
#22 0x00002ad4c6d5a97a in KHotKeys::Module::qt_invoke ()
   from /opt/kde3/lib64/kde3/kcm_khotkeys.so
#23 0x00002ad4c0a6fadc in QObject::activate_signal ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#24 0x00002ad4c0a707b3 in QObject::activate_signal ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#25 0x00002ad4c6d4924c in KHotKeys::Actions_listview_widget::qt_invoke ()
   from /opt/kde3/lib64/kde3/kcm_khotkeys.so
#26 0x00002ad4c0a6fadc in QObject::activate_signal ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#27 0x00002ad4c6ff8392 in KHotKeys::KHListView::current_changed ()
   from /opt/kde3/lib64/libkhotkeys_shared.so.1
#28 0x00002ad4c6ff8623 in KHotKeys::KHListView::qt_invoke ()
   from /opt/kde3/lib64/libkhotkeys_shared.so.1
#29 0x00002ad4c6d47379 in KHotKeys::Actions_listview::qt_invoke ()
   from /opt/kde3/lib64/kde3/kcm_khotkeys.so
#30 0x00002ad4c0a6fadc in QObject::activate_signal ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#31 0x00002ad4c0d63a65 in QListView::selectionChanged ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#32 0x00002ad4c0b3d79f in QListView::setCurrentItem ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#33 0x00002ad4c0b3fec0 in QListView::contentsMousePressEventEx ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#34 0x00002ad4bfc4f9de in KListView::contentsMousePressEvent ()
   from /opt/kde3/lib64/libkdeui.so.4
#35 0x00002ad4c0b6db4e in QScrollView::viewportMousePressEvent ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#36 0x00002ad4c0b6ba09 in QScrollView::eventFilter ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#37 0x00002ad4c0b3e50f in QListView::eventFilter ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#38 0x00002ad4c0a6f4e2 in QObject::activate_filters ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#39 0x00002ad4c0a6f537 in QObject::event ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#40 0x00002ad4c0aa2418 in QWidget::event ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#41 0x00002ad4c0a18eb5 in QApplication::internalNotify ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#42 0x00002ad4c0a19df1 in QApplication::notify ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#43 0x00002ad4c0222e38 in KApplication::notify ()
   from /opt/kde3/lib64/libkdecore.so.4
#44 0x00002ad4c09c1399 in QETWidget::translateMouseEvent ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#45 0x00002ad4c09c03f3 in QApplication::x11ProcessEvent ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#46 0x00002ad4c09cf40f in QEventLoop::processEvents ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#47 0x00002ad4c0a2d963 in QEventLoop::enterLoop ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#48 0x00002ad4c0a2d812 in QEventLoop::exec ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#49 0x00002ad4be62cd15 in kdemain ()
   from /opt/kde3/lib64/libkdeinit_kcontrol.so
#50 0x00002ad4be85eae4 in __libc_start_main () from /lib64/libc.so.6
#51 0x0000000000400589 in ?? ()
#52 0x00007fffec6dd3b8 in ?? ()
#53 0x0000000000000000 in ?? ()


--------------------------------------------------------------------------------
CONSOLE OUTPUT(kcontrol run from terminal):

: WARNING: KLocale: trying to look up "" in catalog. Fix the program
*** glibc detected *** kcontrol: free(): invalid pointer: 0x00000000009408c0 ***
======= Backtrace: =========
/lib64/libc.so.6[0x2ad4be8ad8fe]
/lib64/libc.so.6(cfree+0x76)[0x2ad4be8aef36]
/usr/lib/qt3/lib64/libqt-mt.so.3(_ZN6QGList5clearEv+0xc4)[0x2ad4c0ce0304]
/opt/kde3/lib64/libkhotkeys_shared.so.1(_ZN8KHotKeys13Not_conditionD0Ev+0x3e)[0x2ad4c700db3e]
/usr/lib/qt3/lib64/libqt-mt.so.3(_ZN6QGList5clearEv+0xc4)[0x2ad4c0ce0304]
/opt/kde3/lib64/kde3/kcm_khotkeys.so(_ZN8KHotKeys21Condition_list_widget9qt_invokeEiP8QUObject+0x6b)[0x2ad4c6d54ecb]
/usr/lib/qt3/lib64/libqt-mt.so.3(_ZN7QObject15activate_signalEP15QConnectionListP8QUObject+0xb0)[0x2ad4c0a6fa40]
/usr/lib/qt3/lib64/libqt-mt.so.3(_ZN7QObject15activate_signalEi+0xa3)[0x2ad4c0a707b3]
/opt/kde3/lib64/kde3/kcm_khotkeys.so(_ZN8KHotKeys10Tab_widget10show_pagesERKNS0_9Pages_setE+0x8b)[0x2ad4c6d56d4b]
/opt/kde3/lib64/kde3/kcm_khotkeys.so(_ZN8KHotKeys10Tab_widget15set_action_typeENS0_13action_type_tEb+0x1c3)[0x2ad4c6d56fd3]
/opt/kde3/lib64/kde3/kcm_khotkeys.so(_ZN8KHotKeys10Tab_widget17check_action_typeEv+0x2cb)[0x2ad4c6d5778b]
/opt/kde3/lib64/kde3/kcm_khotkeys.so(_ZN8KHotKeys10Tab_widget19load_current_actionEv+0x16)[0x2ad4c6d577b6]
/opt/kde3/lib64/kde3/kcm_khotkeys.so(_ZN8KHotKeys6Module22set_new_current_actionEb+0x35)[0x2ad4c6d5a335]
/opt/kde3/lib64/kde3/kcm_khotkeys.so(_ZN8KHotKeys6Module31listview_current_action_changedEv+0x20)[0x2ad4c6d5a8b0]
/opt/kde3/lib64/kde3/kcm_khotkeys.so(_ZN8KHotKeys6Module9qt_invokeEiP8QUObject+0xba)[0x2ad4c6d5a97a]
/usr/lib/qt3/lib64/libqt-mt.so.3(_ZN7QObject15activate_signalEP15QConnectionListP8QUObject+0x14c)[0x2ad4c0a6fadc]
/usr/lib/qt3/lib64/libqt-mt.so.3(_ZN7QObject15activate_signalEi+0xa3)[0x2ad4c0a707b3]
/opt/kde3/lib64/kde3/kcm_khotkeys.so(_ZN8KHotKeys23Actions_listview_widget9qt_invokeEiP8QUObject+0x7c)[0x2ad4c6d4924c]
/usr/lib/qt3/lib64/libqt-mt.so.3(_ZN7QObject15activate_signalEP15QConnectionListP8QUObject+0x14c)[0x2ad4c0a6fadc]
/opt/kde3/lib64/libkhotkeys_shared.so.1(_ZN8KHotKeys10KHListView15current_changedEP13QListViewItem+0xa2)[0x2ad4c6ff8392]
/opt/kde3/lib64/libkhotkeys_shared.so.1(_ZN8KHotKeys10KHListView9qt_invokeEiP8QUObject+0x93)[0x2ad4c6ff8623]
/opt/kde3/lib64/kde3/kcm_khotkeys.so(_ZN8KHotKeys16Actions_listview9qt_invokeEiP8QUObject+0x9)[0x2ad4c6d47379]
/usr/lib/qt3/lib64/libqt-mt.so.3(_ZN7QObject15activate_signalEP15QConnectionListP8QUObject+0x14c)[0x2ad4c0a6fadc]
/usr/lib/qt3/lib64/libqt-mt.so.3(_ZN9QListView16selectionChangedEP13QListViewItem+0xa5)[0x2ad4c0d63a65]
/usr/lib/qt3/lib64/libqt-mt.so.3(_ZN9QListView14setCurrentItemEP13QListViewItem+0x18f)[0x2ad4c0b3d79f]
/usr/lib/qt3/lib64/libqt-mt.so.3(_ZN9QListView25contentsMousePressEventExEP11QMouseEvent+0x330)[0x2ad4c0b3fec0]
/opt/kde3/lib64/libkdeui.so.4(_ZN9KListView23contentsMousePressEventEP11QMouseEvent+0xfe)[0x2ad4bfc4f9de]
/usr/lib/qt3/lib64/libqt-mt.so.3(_ZN11QScrollView23viewportMousePressEventEP11QMouseEvent+0x8e)[0x2ad4c0b6db4e]
/usr/lib/qt3/lib64/libqt-mt.so.3(_ZN11QScrollView11eventFilterEP7QObjectP6QEvent+0xc9)[0x2ad4c0b6ba09]
/usr/lib/qt3/lib64/libqt-mt.so.3(_ZN9QListView11eventFilterEP7QObjectP6QEvent+0x9f)[0x2ad4c0b3e50f]
/usr/lib/qt3/lib64/libqt-mt.so.3(_ZN7QObject16activate_filtersEP6QEvent+0x52)[0x2ad4c0a6f4e2]
/usr/lib/qt3/lib64/libqt-mt.so.3(_ZN7QObject5eventEP6QEvent+0x27)[0x2ad4c0a6f537]
/usr/lib/qt3/lib64/libqt-mt.so.3(_ZN7QWidget5eventEP6QEvent+0x28)[0x2ad4c0aa2418]
/usr/lib/qt3/lib64/libqt-mt.so.3(_ZN12QApplication14internalNotifyEP7QObjectP6QEvent+0x85)[0x2ad4c0a18eb5]
/usr/lib/qt3/lib64/libqt-mt.so.3(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x2a1)[0x2ad4c0a19df1]
/opt/kde3/lib64/libkdecore.so.4(_ZN12KApplication6notifyEP7QObjectP6QEvent+0x198)[0x2ad4c0222e38]
/usr/lib/qt3/lib64/libqt-mt.so.3(_ZN9QETWidget19translateMouseEventEPK7_XEvent+0x489)[0x2ad4c09c1399]
/usr/lib/qt3/lib64/libqt-mt.so.3(_ZN12QApplication15x11ProcessEventEP7_XEvent+0x6d3)[0x2ad4c09c03f3]
/usr/lib/qt3/lib64/libqt-mt.so.3(_ZN10QEventLoop13processEventsEj+0x41f)[0x2ad4c09cf40f]
/usr/lib/qt3/lib64/libqt-mt.so.3(_ZN10QEventLoop9enterLoopEv+0x43)[0x2ad4c0a2d963]
/usr/lib/qt3/lib64/libqt-mt.so.3(_ZN10QEventLoop4execEv+0x22)[0x2ad4c0a2d812]
/opt/kde3/lib64/libkdeinit_kcontrol.so(kdemain+0x245)[0x2ad4be62cd15]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x2ad4be85eae4]
kcontrol[0x400589]
======= Memory map: ========
00400000-00401000 r-xp 00000000 08:13 177622                             /opt/kde3/bin/kcontrol
00600000-00602000 rw-p 00000000 08:13 177622                             /opt/kde3/bin/kcontrol
00602000-00a4e000 rw-p 00602000 00:00 0                                  [heap]
2ad4be3c9000-2ad4be3e5000 r-xp 00000000 08:13 23702                      /lib64/ld-2.5.so
2ad4be3e5000-2ad4be3e6000 rw-p 2ad4be3e5000 00:00 0
2ad4be3e6000-2ad4be3e7000 r--p 00000000 08:13 24999                      /usr/lib/locale/en_GB.utf8/LC_IDENTIFICATION
2ad4be3e7000-2ad4be3ee000 r--s 00000000 08:13 27075                      /usr/lib64/gconv/gconv-modules.cache
2ad4be3ee000-2ad4be3ef000 r--p 00000000 08:13 27583                      /usr/lib/locale/en_GB.utf8/LC_MEASUREMENT
2ad4be3ef000-2ad4be3f0000 r--p 00000000 08:13 27441                      /usr/lib/locale/en_GB.utf8/LC_TELEPHONE
2ad4be3f0000-2ad4be3f1000 r--p 00000000 08:13 27355                      /usr/lib/locale/en_GB.utf8/LC_ADDRESS
2ad4be3f1000-2ad4be3f2000 r--p 00000000 08:13 27442                      /usr/lib/locale/en_GB.utf8/LC_NAME
2ad4be3f2000-2ad4be3f3000 r--p 00000000 08:13 27579                      /usr/lib/locale/en_GB.utf8/LC_PAPER
2ad4be3f3000-2ad4be3f4000 r--p 00000000 08:13 27549                      /usr/lib/locale/en_GB.utf8/LC_MESSAGES/SYS_LC_MESSAGES
2ad4be3f4000-2ad4be3f5000 r--p 00000000 08:13 27443                      /usr/lib/locale/en_GB.utf8/LC_MONETARY
2ad4be418000-2ad4be419000 rw-p 2ad4be418000 00:00 0
2ad4be419000-2ad4be44e000 r--s 00000000 08:13 239756                     /var/run/nscd/passwd
2ad4be44e000-2ad4be525000 r--p 00000000 08:13 27585                      /usr/lib/locale/en_GB.utf8/LC_COLLATE
2ad4be525000-2ad4be526000 r--p 00000000 08:13 27354                      /usr/lib/locale/en_GB.utf8/LC_TIME
2ad4be526000-2ad4be527000 r--p 00000000 08:13 27559                      /usr/lib/locale/en_GB.utf8/LC_NUMERIC
2ad4be527000-2ad4be562000 r--p 00000000 08:13 27584                      /usr/lib/locale/en_GB.utf8/LC_CTYPE
2ad4be562000-2ad4be563000 r--s 00000000 08:13 239343                     /var/cache/fontconfig/cf6c88e680607f2ab796171745f068a4-x86-64.cache-2
2ad4be563000-2ad4be566000 r--s 00000000 08:13 239341                     /var/cache/fontconfig/d458be102e54cf534d1eef0dcbb02d07-x86-64.cache-2
2ad4be566000-2ad4be596000 r--s 00000000 08:13 239339                     /var/cache/fontconfig/8d4af663993b81a124ee82e610bb31f9-x86-64.cache-2
2ad4be5e5000-2ad4be5e7000 rw-p 0001c000 08:13 23702                      /lib64/ld-2.5.so
2ad4be5e7000-2ad4be638000 r-xp 00000000 08:13 178103                     /opt/kde3/lib64/libkdeinit_kcontrol.so
2ad4be638000-2ad4be837000 ---p 00051000 08:13 178103                     /opt/kde3/lib64/libkdeinit_kcontrol.so
2ad4be837000-2ad4be83e000 r--p 00050000 08:13 178103                     /opt/kde3/lib64/libkdeinit_kcontrol.so
2ad4be83e000-2ad4be841000 rw-p 00057000 08:13 178103                     /opt/kde3/lib64/libkdeinit_kcontrol.so
2ad4be841000-2ad4be97a000 r-xp 00000000 08:13 23709                      /lib64/libc-2.5.so
2ad4be97a000-2ad4beb79000 ---p 00139000 08:13 23709                      /lib64/libc-2.5.so
2ad4beb79000-2ad4beb7c000 r--p 00138000 08:13 23709                      /lib64/libc-2.5.so
2ad4beb7c000-2ad4beb7e000 rw-p 0013b000 08:13 23709                      /lib64/libc-2.5.so
2ad4beb7e000-2ad4beb83000 rw-p 2ad4beb7e000 00:00 0
2ad4beb83000-2ad4befba000 r-xp 00000000 08:13 130119                     /opt/kde3/lib64/libkhtml.so.4.2.0
2ad4befba000-2ad4bf1b9000 ---p 00437000 08:13 130119                     /opt/kde3/lib64/libkhtml.so.4.2.0
2ad4bf1b9000-2ad4bf208000 r--p 00436000 08:13 130119                     /opt/kde3/lib64/libkhtml.so.4.2.0
2ad4bf208000-2ad4bf211000 rw-p 00485000 08:13 130119                     /opt/kde3/lib64/libkhtml.so.4.2.0
2ad4bf211000-2ad4bf213000 rw-p 2ad4bf211000 00:00 0
2ad4bf213000-2ad4bf287000 r-xp 00000000 08:13 130157                     /opt/kde3/lib64/libkutils.so.1.2.0
2ad4bf287000-2ad4bf487000 ---p 00074000 08:13 130157                     /opt/kde3/lib64/libkutils.so.1.2.0
2ad4bf487000-2ad4bf48e000 r--p 00074000 08:13 130157                     /opt/kde3/lib64/libkutils.so.1.2.0
2ad4bf48e000-2ad4bf491000 rw-p 0007b000 08:13 130157                     /opt/kde3/lib64/libkutils.so.1.2.0
2ad4bf491000-2ad4bf83d000 r-xp 00000000 08:13 130123                     /opt/kde3/lib64/libkio.so.4.2.0
2ad4bf83d000-2ad4bfa3c000 ---p 003ac000 08:13 130123                     /opt/kde3/lib64/libkio.so.4.2.0
2ad4bfa3c000-2ad4bfa6e000 r--p 003ab000 08:13 130123                     /opt/kde3/lib64/libkio.so.4.2.0
2ad4bfa6e000-2ad4bfa79000 rw-p 003dd000 08:13 130123                     /opt/kde3/lib64/libkio.so.4.2.0
2ad4bfa79000-2ad4bfa7c000 rw-p 2ad4bfa79000 00:00 0
2ad4bfa7c000-2ad4bfde3000 r-xp 00000000 08:13 130115                     /opt/kde3/lib64/libkdeui.so.4.2.0
2ad4bfde3000-2ad4bffe3000 ---p 00367000 08:13 130115                     /opt/kde3/lib64/libkdeui.so.4.2.0
2ad4bffe3000-2ad4c002e000 r--p 00367000 08:13 130115     KCrash: Application 'kcontrol' crashing...
  

The ~/.kde/share/config/khotkeysrc was quite long so i put it on my web page http://www.snabelb.net/kdebug/khotkeysrc 

If there's anything more i can do just tell me, i want to help.
Comment 1 Lubos Lunak 2007-02-02 20:29:17 UTC
*** Bug 130872 has been marked as a duplicate of this bug. ***
Comment 2 Lubos Lunak 2007-02-02 20:29:35 UTC
*** Bug 128172 has been marked as a duplicate of this bug. ***
Comment 3 Lubos Lunak 2007-02-02 20:32:02 UTC
*** Bug 89182 has been marked as a duplicate of this bug. ***
Comment 4 Lubos Lunak 2007-02-02 20:35:40 UTC
SVN commit 629444 by lunakl:

Avoid various braindamage when deleting condition objects.
BUG: 139962
BUG: 115109




 M  +11 -7     kcontrol/condition_list_widget.cpp  
 M  +10 -0     shared/conditions.cpp  
 M  +0 -6      shared/conditions.h  
 M  +1 -1      shared/khlistview.cpp  


--- branches/KDE/3.5/kdebase/khotkeys/kcontrol/condition_list_widget.cpp #629443:629444
@@ -84,8 +84,8 @@
 void Condition_list_widget::clear_data()
     {
     comment_lineedit->clear();
+    conditions.clear();
     conditions_listview->clear();
-    conditions.clear();
     }
 
 void Condition_list_widget::set_data( const Condition_list* data_P )
@@ -96,8 +96,8 @@
         return;
         }
     comment_lineedit->setText( data_P->comment());
+    conditions.clear();
     conditions_listview->clear();
-    conditions.clear();
     insert_listview_items( data_P, conditions_listview, NULL );
 #ifdef KHOTKEYS_DEBUG
     kdDebug( 1217 ) << "Condition_list_widget::set_data():" << endl;
@@ -278,12 +278,14 @@
         if( parent1_P == NULL )
             {
             parent2_P->setOpen( true );
-            conditions.append( new_cond ); // we own it, not the listview
+            if( new_cond->parent() == NULL ) // own only toplevels, they own the rest
+                conditions.append( new_cond ); // we own it, not the listview
             return new Condition_list_item( parent2_P, after_P, new_cond );
             }
         else
             {
-            conditions.append( new_cond ); // we own it, not the listview
+            if( new_cond->parent() == NULL )
+                conditions.append( new_cond ); // we own it, not the listview
             return new Condition_list_item( parent1_P, after_P, new_cond );
             }
         }
@@ -312,9 +314,11 @@
         Condition* old_cond = item_P->condition();
         item_P->set_condition( new_condition );
         int pos = conditions.find( old_cond );
-        assert( pos >= 0 );
-        conditions.remove( pos ); // we own it
-        conditions.insert( pos, new_condition );
+        if( pos >= 0 )
+            {
+            conditions.remove( pos ); // we own it
+            conditions.insert( pos, new_condition );
+            }
         item_P->widthChanged( 0 );
         conditions_listview->repaintItem( item_P );
         }
--- branches/KDE/3.5/kdebase/khotkeys/shared/conditions.cpp #629443:629444
@@ -133,6 +133,16 @@
     cfg_P.setGroup( save_cfg_group );
     }
 
+Condition_list_base::~Condition_list_base()
+    {
+    while( !isEmpty())
+        {
+        Condition* c = getFirst();
+        remove( c );
+        delete c;
+        }
+    }
+    
 void Condition_list_base::cfg_write( KConfig& cfg_P ) const
     {
     QString save_cfg_group = cfg_P.group();
--- branches/KDE/3.5/kdebase/khotkeys/shared/conditions.h #629443:629444
@@ -213,12 +213,6 @@
     {
     }
 
-inline
-Condition_list_base::~Condition_list_base()
-    {
-    setAutoDelete( true );
-    }
-    
 // Condition_list
 
 inline
--- branches/KDE/3.5/kdebase/khotkeys/shared/khlistview.cpp #629443:629444
@@ -96,8 +96,8 @@
 
 void KHListView::clearSelection()
     {
-    saved_current_item = NULL;
     KListView::clearSelection();
+    slot_current_changed( currentItem());
     }
 
 // items are often inserted using the QListViewItem constructor,
Comment 5 K Robinson 2008-06-13 04:55:06 UTC
Created attachment 25300 [details]
khotkeysrc file

Linux mymachinename 2.6.20-16-generic #2 SMP Tue Feb 12 05:41:34 UTC 2008 i686
GNU/Linux
Qt: 3.3.7
KDE: 3.5.6
KDE Control Center: 3.5.6
package: kcontrol	 4:3.5.6-0ubuntu20.9
KHotKeys: 2.1 
package: kdebase-bin	 4:3.5.6-0ubuntu20.9
Comment 6 K Robinson 2008-06-13 04:57:11 UTC
I just attached my khotkeysrc file which is causing a crash whenever I select my "back" and "forward" khotkeys...

with this file, select group "fwd_bwd_buttons", then select the children alternately.  I usually crash on the second item I select.  It seems to vary, so YMMV.

Linux mymachinename 2.6.20-16-generic #2 SMP Tue Feb 12 05:41:34 UTC 2008 i686 GNU/Linux
Qt: 3.3.7
KDE: 3.5.6
KDE Control Center: 3.5.6
package: kcontrol        4:3.5.6-0ubuntu20.9
KHotKeys: 2.1 
package: kdebase-bin     4:3.5.6-0ubuntu20.9
Comment 7 K Robinson 2008-06-13 10:04:18 UTC
I went through the khotkeysrc file and made sure all the "Comments=" lines had a comment of some kind.  The problem has disappeared, temporarily.
Comment 8 Dario Andres 2009-10-02 03:24:13 UTC
*** Bug 136679 has been marked as a duplicate of this bug. ***